<?php
 
	session_start();
	include("connexion_db.php");
	$where = '';
	
	// On cherche l'enregistrement
	$sql0 = "SELECT * FROM objectifs WHERE id_patient = '" . $_SESSION['id_patient'] . "' AND id_docteur = '" . $_SESSION['id_docteur'] . "'";
	$req0 = cleanPDOQuery($sql0);
	$nb = $req0->rowCount();
	$data = '';
	$resultat['sql'] = $sql0;
	$resultat['nb'] = $nb;
		
	// S'il n'y a aucun enregistrement
	if($nb == 0) {
			
		// Recherche des valeurs du radar actuel
		$sql = "SELECT * FROM donnees_grilles WHERE id_grille = '" . $_SESSION['id_grille'] . "' AND id_patient = '" . $_SESSION['id_patient'] . "' AND id_docteur = '" . $_SESSION['id_docteur'] . "' AND id_etablissement = '" . $_SESSION['id_etablissement'] . "' ORDER BY id_champ ASC, donnees_grilles.date DESC";
		$req = cleanPDOQuery($sql);
		$nb = $req->rowCount();
		$id_chmp = 1;
		$date = new DateTime();
		$date->modify('+14 days');
		$date = $date->format('Y-m-d');
		$resultat['sql'] = $sql;
		$resultat['date'] = $date;
		
		if($nb >= $_SESSION['nblvlgrille']) {
			while ($res = $req->fetch()) {
				
				if($res['id_champ'] == $id_chmp) {
							
					// Inscription du radar actuel dans la bdd à J+14
					$sql2 = "INSERT INTO objectifs VALUES ('', '" . $_SESSION['id_grille'] . "', '" . $id_chmp . "', '" . $res['valeur'] . "', '" . $_SESSION['id_patient'] . "', '" . $_SESSION['id_docteur'] . "', '" . $_SESSION['id_etablissement'] . "', '" . $date . "')";
					$req2 = cleanPDOQuery($sql2);	
						
					$data[] = $res['valeur'];
					$id_chmp++;				
				}
			}
		}
	}
	
	// S'il y a un enregistrement
	else {
			
		// S'il s'agit de la mise à jour de la date
		if(isset($_GET['updatedate']) && $_GET['updatedate'] != '') {
			
			$sql3 = "UPDATE objectifs SET date = '" . $_GET['updatedate'] . "' WHERE id_patient = '" . $_SESSION['id_patient'] . "' AND id_docteur = '" . $_SESSION['id_docteur'] . "'";
			$req3 = cleanPDOQuery($sql3);
			$resultat['sql']=$sql3;
			$date = $_GET['updatedate'];
		}
			
		else {
			$where = 'on recupere les valeurs de toutes les entrees';
			// On récupère les valeurs de toutes les entrées
			while ($res0 = $req0->fetch()) {
				$data[] = $res0['valeur'];	
				$date = $res0['date'];
			}
			
				
		}
	}
	

	$resultat['data'] = $data;
	$resultat['date'] = $date;
	$resultat['where'] = $where;
	
	header('Content-Type: application/json');
 	echo json_encode($resultat);
	
	
	
?>